#ifndef lint
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.28 2000/01/17 02:04:06 bde Exp $";
#endif
#include <stdlib.h>
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
static int yygrowstack();
#define yyparse lccfgparse
#define yylex lccfglex
#define yyerror lccfgerror
#define yychar lccfgchar
#define yyval lccfgval
#define yylval lccfglval
#define yydebug lccfgdebug
#define yynerrs lccfgnerrs
#define yyerrflag lccfgerrflag
#define yyss lccfgss
#define yyssp lccfgssp
#define yyvs lccfgvs
#define yyvsp lccfgvsp
#define yylhs lccfglhs
#define yylen lccfglen
#define yydefred lccfgdefred
#define yydgoto lccfgdgoto
#define yysindex lccfgsindex
#define yyrindex lccfgrindex
#define yygindex lccfggindex
#define yytable lccfgtable
#define yycheck lccfgcheck
#define yyname lccfgname
#define yyrule lccfgrule
#define YYPREFIX "lccfg"
#line 2 "cfg.y"

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "intern.h"

int lc_cfg_i_nline=0;
extern int yylex();

typedef struct {
	int from, to;
} numericrange;

numericrange years = { 0, 0 };
char *cls=NULL;

int lc_i_cc(char **);

#line 25 "cfg.y"
typedef union {
	char *tv_char;
	char **tv_chars;
	double tv_double;
	int	tv_int;
	numericrange tv_nr;
	lc_t_cfdata tv_cfd;
} YYSTYPE;
#line 69 "y.tab.c"
#define YYERRCODE 256
#define TOK_STRING 257
#define TOK_DOUBLE 258
#define TOK_INT 259
#define TOK_MONTH 260
#define TOK_WDAY 261
#define EQ 262
#define LB 263
#define RB 264
#define COMMA 265
#define COLON 266
#define SEMICOLON 267
#define PERCENT 268
#define ALL 269
#define DASH 270
#define C_HOUR 271
#define C_DAY 272
#define C_YEAR 273
#define C_CLASS 274
#define C_DEFAULT 275
#define C_PER 276
#define C_COMMENT 277
#define C_PREF 278
const short lccfglhs[] = {                                        -1,
    0,    0,   12,   12,   14,   14,   15,   15,   16,   16,
   13,   13,   13,   13,   10,   10,   17,    8,    8,    7,
    7,    7,    4,    4,    4,    3,    9,    9,    6,    6,
    6,    6,    6,    6,    5,    2,    1,    1,    1,    1,
    1,   11,   11,
};
const short lccfglen[] = {                                         2,
    0,    1,    2,    3,    0,    1,    0,    1,    0,    1,
    1,    1,    4,    1,    1,    2,    1,    4,    2,    4,
    7,    7,    1,    1,    2,    2,    2,    2,    2,    3,
    5,    2,    3,    3,    2,    1,    1,    3,    2,    2,
    1,    1,    2,
};
const short lccfgdefred[] = {                                      0,
    0,    0,    0,    0,    0,   12,    0,   23,    0,   11,
   14,    0,    0,    0,   41,    0,   36,   35,    0,    0,
   29,   26,   27,   28,    0,    0,    0,   25,    0,    6,
    3,    0,   39,   33,    0,   30,   34,   10,    0,   15,
    0,    0,   17,    0,    4,   38,    0,   42,    0,   16,
    0,    0,    0,   31,   43,    0,   20,    0,    0,    0,
    0,    0,   22,   21,
};
const short lccfgdgoto[] = {                                       5,
   17,   18,    6,    7,    8,    9,   27,   10,   11,   41,
   49,   12,   13,   31,   42,   39,   44,
};
const short lccfgsindex[] = {                                   -261,
 -228, -253, -228, -255,    0,    0, -254,    0, -256,    0,
    0, -261, -240, -233,    0, -214,    0,    0, -235, -213,
    0,    0,    0,    0, -212, -209, -226,    0, -240,    0,
    0, -207,    0,    0, -227,    0,    0,    0, -204,    0,
 -202, -219,    0, -209,    0,    0, -228,    0, -201,    0,
 -209, -232, -202,    0,    0, -217,    0, -216, -198, -197,
 -209, -209,    0,    0,
};
const short lccfgrindex[] = {                                     57,
    0,    0,    0,    0,    0,    0,    0,    0, -194,    0,
    0,   64,   58,   22,    0,    0,    0,    0,    0, -257,
    0,    0,    0,    0, -192, -215,   38,    0,   58,    0,
    0,   30,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    0,    0,    0,    0,    0,    0,    0,   46,    0,
 -210, -210,   54,    0,    0,    0,    0,    0,    0,    0,
    9,    9,    0,    0,
};
const short lccfggindex[] = {                                      0,
    2,    0,    0,    0,   59,    0,    0,    0,    0,   23,
    0,    0,   60,   40,  -33,    0,    0,
};
#define YYTABLESIZE 332
const short lccfgtable[] = {                                      32,
    8,   23,   26,   21,   22,   14,   19,   20,    7,    1,
    2,    3,    4,   32,    1,   15,   16,   56,   58,   24,
   36,   37,   25,   14,   40,   34,   30,   63,   64,   40,
   14,   33,   47,   15,   35,   57,   32,   19,   51,   52,
   15,   16,    7,    7,   33,   13,   37,   40,   54,   38,
   43,   46,   48,   18,   50,   55,    1,    5,   59,   60,
   61,   62,   24,    2,    9,    7,   53,   28,   45,    0,
    0,   29,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    8,    8,
    0,    0,    0,    0,    0,    0,    0,    8,    0,    0,
    0,    8,    8,    8,    8,    7,    8,    8,   37,    7,
    7,    7,    7,    0,    0,    7,   40,    0,   37,    0,
    0,    0,   37,   37,   37,   37,   40,    0,    0,    0,
   40,   40,   40,   40,   19,    0,    0,    0,   19,   19,
   19,   19,   13,    0,    0,    0,   13,   13,   13,   13,
   18,    0,    0,    0,   18,   18,   18,   18,    5,    5,
    5,    5,
};
const short lccfgcheck[] = {                                     257,
    0,  257,  257,    2,    3,  259,  260,  261,    0,  271,
  272,  273,  274,  271,  271,  269,  270,   51,   52,  275,
   19,    0,  278,  259,  257,  261,  267,   61,   62,    0,
  259,  259,  260,  269,  270,  268,  270,    0,  258,  259,
  269,  270,  258,  259,  259,    0,  260,  257,   47,  262,
  277,  259,  257,    0,  257,  257,    0,    0,  276,  276,
  259,  259,  257,    0,  257,  276,   44,    9,   29,   -1,
   -1,   12,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  258,  259,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  267,   -1,   -1,
   -1,  271,  272,  273,  274,  267,  276,  277,  257,  271,
  272,  273,  274,   -1,   -1,  277,  257,   -1,  267,   -1,
   -1,   -1,  271,  272,  273,  274,  267,   -1,   -1,   -1,
  271,  272,  273,  274,  267,   -1,   -1,   -1,  271,  272,
  273,  274,  267,   -1,   -1,   -1,  271,  272,  273,  274,
  267,   -1,   -1,   -1,  271,  272,  273,  274,  271,  272,
  273,  274,
};
#define YYFINAL 5
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 278
#if YYDEBUG
const char * const lccfgname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"TOK_STRING","TOK_DOUBLE",
"TOK_INT","TOK_MONTH","TOK_WDAY","EQ","LB","RB","COMMA","COLON","SEMICOLON",
"PERCENT","ALL","DASH","C_HOUR","C_DAY","C_YEAR","C_CLASS","C_DEFAULT","C_PER",
"C_COMMENT","C_PREF",
};
const char * const lccfgrule[] = {
"$accept : cfg_file",
"cfg_file :",
"cfg_file : sequence",
"sequence : seq ps",
"sequence : sequence seq ps",
"ps :",
"ps : SEMICOLON",
"EatWord :",
"EatWord : Sentense",
"EatEQ :",
"EatEQ : EQ",
"seq : rangecost",
"seq : YearRange",
"seq : C_CLASS C_PREF EatEQ Words",
"seq : Class",
"Sentense : TOK_STRING",
"Sentense : Sentense TOK_STRING",
"Comment : C_COMMENT",
"rangecost : Period Cost Comment Sentense",
"rangecost : Period Cost",
"Cost : TOK_STRING EatWord TOK_INT PERCENT",
"Cost : TOK_STRING EatWord TOK_INT EatWord C_PER TOK_INT EatWord",
"Cost : TOK_STRING EatWord TOK_DOUBLE EatWord C_PER TOK_INT EatWord",
"Period : HourPeriod",
"Period : DayPeriod",
"Period : DayPeriod HourPeriod",
"YearRange : C_YEAR NumericRange",
"Class : C_CLASS TOK_STRING",
"Class : C_CLASS C_DEFAULT",
"DayPeriod : C_DAY NumericRange",
"DayPeriod : C_DAY TOK_MONTH NumericRange",
"DayPeriod : C_DAY TOK_MONTH DASH TOK_MONTH NumericRange",
"DayPeriod : C_DAY TOK_WDAY",
"DayPeriod : C_DAY TOK_MONTH TOK_WDAY",
"DayPeriod : C_DAY TOK_WDAY TOK_MONTH",
"HourPeriod : C_HOUR HourRange",
"HourRange : NumericRange",
"NumericRange : TOK_INT",
"NumericRange : TOK_INT DASH TOK_INT",
"NumericRange : DASH TOK_INT",
"NumericRange : TOK_INT DASH",
"NumericRange : ALL",
"Words : TOK_STRING",
"Words : Words TOK_STRING",
};
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
#line 284 "cfg.y"

int yyerror(char *s) {
	fprintf(stderr, "Config parse error near line %d: %s\n", lc_cfg_i_nline+1, s);
	return 0;
};

int lc_i_cc(char **c) {
	register int z=0;
	if(!c) return 0;
	while(*c++) z++;
	return z;
};
#line 320 "y.tab.c"
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 11:
#line 93 "cfg.y"
{
		yyvsp[0].tv_cfd.year1=years.from;
		yyvsp[0].tv_cfd.year2=years.to;
		yyvsp[0].tv_cfd.cls=cls?_lc_strdup(cls):NULL;
		if(!yyvsp[0].tv_cfd.per) yyvsp[0].tv_cfd.per=1;
		yyvsp[0].tv_cfd.specific = 0;
		if(yyvsp[0].tv_cfd.year1 != yyvsp[0].tv_cfd.year2)	yyvsp[0].tv_cfd.specific|=0x1000000;
		if(yyvsp[0].tv_cfd.year2 - yyvsp[0].tv_cfd.year1 == 1)	yyvsp[0].tv_cfd.specific|=0x2000000;
		if(yyvsp[0].tv_cfd.month1 != yyvsp[0].tv_cfd.month2)	yyvsp[0].tv_cfd.specific|=0x10000;
		if(yyvsp[0].tv_cfd.month2 - yyvsp[0].tv_cfd.month1 == 1)	yyvsp[0].tv_cfd.specific|=0x20000;
		if(yyvsp[0].tv_cfd.day1 != yyvsp[0].tv_cfd.day2)		yyvsp[0].tv_cfd.specific|=0x100;
		if(yyvsp[0].tv_cfd.day2 - yyvsp[0].tv_cfd.day1 == 1)	yyvsp[0].tv_cfd.specific|=0x200;
		if(yyvsp[0].tv_cfd.wday)	yyvsp[0].tv_cfd.specific|=0x400;
		if(yyvsp[0].tv_cfd.hour1 != yyvsp[0].tv_cfd.hour2)	yyvsp[0].tv_cfd.specific|=0x1;
		if(yyvsp[0].tv_cfd.hour2 - yyvsp[0].tv_cfd.hour1 == 1)	yyvsp[0].tv_cfd.specific|=0x2;

		lc_cfdata=(lc_t_cfdata **)_lc_realloc(lc_cfdata,
			sizeof(lc_t_cfdata *) * (++lc_cfdsize + 1));
		lc_cfdata[lc_cfdsize-1]=(lc_t_cfdata *)_lc_malloc(sizeof(lc_t_cfdata));
		lc_cfdata[lc_cfdsize-1][0]=yyvsp[0].tv_cfd;
		lc_cfdata[lc_cfdsize]=0;
	}
break;
case 12:
#line 115 "cfg.y"
{ years=yyvsp[0].tv_nr; }
break;
case 13:
#line 116 "cfg.y"
{
		if(lc_cpref) {
			char **z;
			for(z = lc_cpref; *z; z++)
				free(*z);
			free(lc_cpref);
		};
		lc_cpref=yyvsp[0].tv_chars;
	}
break;
case 14:
#line 125 "cfg.y"
{
		if(cls) free(cls);
		cls=yyvsp[0].tv_char;
	}
break;
case 15:
#line 132 "cfg.y"
{
		yyval.tv_char=yyvsp[0].tv_char;
	}
break;
case 16:
#line 135 "cfg.y"
{
		yyval.tv_char=(char *)_lc_realloc(yyvsp[-1].tv_char, strlen(yyvsp[-1].tv_char) + strlen(yyvsp[0].tv_char) + 2);
		strcat(yyval.tv_char, " ");
		strcat(yyval.tv_char, yyvsp[0].tv_char);
	}
break;
case 18:
#line 144 "cfg.y"
{
		memcpy(&(yyval.tv_cfd), &(yyvsp[-3].tv_cfd), sizeof(lc_cfdata));
		yyval.tv_cfd.type = yyvsp[-2].tv_cfd.type;
		yyval.tv_cfd.per = yyvsp[-2].tv_cfd.per;
		yyval.tv_cfd.price = yyvsp[-2].tv_cfd.price;
		yyval.tv_cfd.comment=yyvsp[0].tv_char;
	}
break;
case 19:
#line 151 "cfg.y"
{
		memcpy(&(yyval.tv_cfd), &(yyvsp[-1].tv_cfd), sizeof(lc_cfdata));
		yyval.tv_cfd.type = yyvsp[0].tv_cfd.type;
		yyval.tv_cfd.per = yyvsp[0].tv_cfd.per;
		yyval.tv_cfd.price = yyvsp[0].tv_cfd.price;
	}
break;
case 20:
#line 160 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.type = yyvsp[-3].tv_char;
		yyval.tv_cfd.price = (double)yyvsp[-1].tv_int / 100;
		yyval.tv_cfd.per = 1;
	}
break;
case 21:
#line 166 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.type = yyvsp[-6].tv_char;
		yyval.tv_cfd.price = yyvsp[-4].tv_int;
		yyval.tv_cfd.per = yyvsp[-1].tv_int;
	}
break;
case 22:
#line 172 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.type = yyvsp[-6].tv_char;
		yyval.tv_cfd.price = yyvsp[-4].tv_double;
		yyval.tv_cfd.per = yyvsp[-1].tv_int;
	}
break;
case 23:
#line 181 "cfg.y"
{
		yyval.tv_cfd=yyvsp[0].tv_cfd;
	}
break;
case 24:
#line 184 "cfg.y"
{
		yyval.tv_cfd=yyvsp[0].tv_cfd;
	}
break;
case 25:
#line 187 "cfg.y"
{
		yyval.tv_cfd=yyvsp[-1].tv_cfd;
		yyval.tv_cfd.hour1=yyvsp[0].tv_cfd.hour1;
		yyval.tv_cfd.hour2=yyvsp[0].tv_cfd.hour2;
	}
break;
case 26:
#line 195 "cfg.y"
{
		if(yyvsp[0].tv_nr.from > 1900) yyvsp[0].tv_nr.from-=1900;
		if(yyvsp[0].tv_nr.to > 1900) yyvsp[0].tv_nr.to-=1900;
		if(yyvsp[0].tv_nr.from < 50) yyvsp[0].tv_nr.from+=100;
		if(yyvsp[0].tv_nr.to < 50) yyvsp[0].tv_nr.to+=100;
		yyval.tv_nr=yyvsp[0].tv_nr;
	}
break;
case 27:
#line 205 "cfg.y"
{ yyval.tv_char=yyvsp[0].tv_char; }
break;
case 28:
#line 206 "cfg.y"
{ yyval.tv_char=NULL; }
break;
case 29:
#line 210 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.day1 = yyvsp[0].tv_nr.from;
		yyval.tv_cfd.day2 = yyvsp[0].tv_nr.to;
	}
break;
case 30:
#line 215 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.month2 = (yyval.tv_cfd.month1 = yyvsp[-1].tv_int) + 1;
		yyval.tv_cfd.day1 = yyvsp[0].tv_nr.from;
		yyval.tv_cfd.day2 = yyvsp[0].tv_nr.to;
	}
break;
case 31:
#line 221 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.month1 = yyvsp[-3].tv_int;
		yyval.tv_cfd.month2 = yyvsp[-1].tv_int;
		yyval.tv_cfd.day1 = yyvsp[0].tv_nr.from;
		yyval.tv_cfd.day2 = yyvsp[0].tv_nr.to;
	}
break;
case 32:
#line 228 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.wday = yyvsp[0].tv_int;
	}
break;
case 33:
#line 232 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.month2 = (yyval.tv_cfd.month1 = yyvsp[-1].tv_int) + 1;
		yyval.tv_cfd.wday = yyvsp[0].tv_int;
	}
break;
case 34:
#line 237 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.month2 = (yyval.tv_cfd.month1 = yyvsp[0].tv_int) + 1;
		yyval.tv_cfd.wday = yyvsp[-1].tv_int;
	}
break;
case 35:
#line 245 "cfg.y"
{
		memset(&(yyval.tv_cfd), 0, sizeof(yyval.tv_cfd));
		yyval.tv_cfd.hour1 = yyvsp[0].tv_nr.from;
		yyval.tv_cfd.hour2 = yyvsp[0].tv_nr.to;
	}
break;
case 36:
#line 253 "cfg.y"
{
		if(yyvsp[0].tv_nr.from < 0) yyvsp[0].tv_nr.from = 0;
		if(yyvsp[0].tv_nr.from > 23) yyvsp[0].tv_nr.from = 23;
		if(yyvsp[0].tv_nr.to > 24) yyvsp[0].tv_nr.to = 24;
		if(yyvsp[0].tv_nr.to < 1) yyvsp[0].tv_nr.to = 1;
		yyval.tv_nr=yyvsp[0].tv_nr;
	}
break;
case 37:
#line 263 "cfg.y"
{ yyval.tv_nr.from = yyvsp[0].tv_int; yyval.tv_nr.to = yyvsp[0].tv_int+1; }
break;
case 38:
#line 264 "cfg.y"
{ yyval.tv_nr.from = yyvsp[-2].tv_int; yyval.tv_nr.to = yyvsp[0].tv_int; }
break;
case 39:
#line 265 "cfg.y"
{ yyval.tv_nr.from = 0; yyval.tv_nr.to = yyvsp[0].tv_int; }
break;
case 40:
#line 266 "cfg.y"
{ yyval.tv_nr.from = yyvsp[-1].tv_int; yyval.tv_nr.to = 100; }
break;
case 41:
#line 267 "cfg.y"
{ yyval.tv_nr.from=0; yyval.tv_nr.to=0; }
break;
case 42:
#line 271 "cfg.y"
{
		yyval.tv_chars=(char **)_lc_calloc(2, sizeof(char *));
		if(!yyval.tv_chars)
			abort();
		*(yyval.tv_chars)=yyvsp[0].tv_char;
	}
break;
case 43:
#line 277 "cfg.y"
{
		yyval.tv_chars=(char **)_lc_realloc(yyvsp[-1].tv_chars, lc_i_cc(yyvsp[-1].tv_chars) + 1);
		yyval.tv_chars[lc_i_cc(yyval.tv_chars)]=yyvsp[0].tv_char;
		yyval.tv_chars[lc_i_cc(yyval.tv_chars)]=NULL;
	}
break;
#line 766 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
