#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define TOK_STRING 257
#define TOK_DOUBLE 258
#define TOK_INT 259
#define TOK_MONTH 260
#define TOK_WDAY 261
#define EQ 262
#define LB 263
#define RB 264
#define COMMA 265
#define COLON 266
#define SEMICOLON 267
#define PERCENT 268
#define ALL 269
#define DASH 270
#define C_HOUR 271
#define C_DAY 272
#define C_YEAR 273
#define C_CLASS 274
#define C_DEFAULT 275
#define C_PER 276
#define C_COMMENT 277
#define C_PREF 278
typedef union {
	char *tv_char;
	char **tv_chars;
	double tv_double;
	int	tv_int;
	numericrange tv_nr;
	lc_t_cfdata tv_cfd;
} YYSTYPE;
extern YYSTYPE lccfglval;
